Loading...
Searching...
No Matches
OgreBites::Event Union Reference
Optional Components » Bites » Input

`#include <OgreInput.h>`

## Public Attributes

AxisEvent | axis
MouseButtonEvent | button
ButtonEvent | cbutton
HatEvent | hat
KeyboardEvent | key
MouseMotionEvent | motion
TextInputEvent | text
TouchFingerEvent | tfinger
int | type
MouseWheelEvent | wheel

## Member Data Documentation

## type

int OgreBites::Event::type

## key

KeyboardEvent OgreBites::Event::key

## button

MouseButtonEvent OgreBites::Event::button

## wheel

MouseWheelEvent OgreBites::Event::wheel

## motion

MouseMotionEvent OgreBites::Event::motion

## tfinger

TouchFingerEvent OgreBites::Event::tfinger

## text

TextInputEvent OgreBites::Event::text

## axis

AxisEvent OgreBites::Event::axis

## cbutton

ButtonEvent OgreBites::Event::cbutton

## hat

HatEvent OgreBites::Event::hat

The documentation for this union was generated from the following file:

- OgreInput.h